acid-state-0.14.2: Add ACID guarantees to any serializable Haskell data structure.

Copyright | PublicDomain
Maintainer | lemmih@gmail.com
Portability | non-portable (uses GHC extensions)
Safe Haskell | None
Language | Haskell2010

Data.Acid.Memory

Description

AcidState container without a transaction log. Mostly used for testing.

Synopsis

- openMemoryState :: IsAcidic st => st -> IO (AcidState st)

# Documentation

openMemoryState Source #

Arguments

:: IsAcidic st |
=> st | Initial state value.
-> IO (AcidState st) |

Create an AcidState given an initial value.